package com.ruoyi.system.service.zb;

import com.github.pagehelper.PageInfo;
import com.ruoyi.system.domain.zb.ZbDutyWorkConfig;
import com.ruoyi.system.domain.zb.ZbDutyWorkRecord;
import com.ruoyi.system.domain.zb.vo.DutyWorkConfigVO;
import com.ruoyi.system.domain.zb.vo.DutyWorkVO;

import java.util.Date;

/**
 * * Author: brenda
 * * 2025/1/21
 **/
public interface DutyWorkService {

    void save(DutyWorkConfigVO request);

    void update(DutyWorkConfigVO request);

    /**
     * 计划模板详情
     * @return
     */
    DutyWorkConfigVO configDetail();

    void saveDutyWorkRecord(DutyWorkVO workVO);

    PageInfo<ZbDutyWorkRecord> dutyRecordPage(String title);

    DutyWorkVO dutyWorkDetail(String id);

}
